org.eclipse.ease.lang.javascript.rhino.debugger

## Class Activator

- java.lang.Object
- - org.eclipse.ease.lang.javascript.rhino.debugger.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends Object
    implements org.osgi.framework.BundleActivator

### Field Summary

Fields
`static String` `PLUGIN_ID`

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start(org.osgi.framework.BundleContext bundleContext)`
`void` `stop(org.osgi.framework.BundleContext bundleContext)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext bundleContext)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext bundleContext)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`